Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ExpressionLabelParser

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenParserImplementation, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ExpressionLabelParserImpl

    public interface ExpressionLabelParser

extends GenParserImplementation

A representation of the model object 'Expression Label Parser'. Parser implementation that uses expressions to produce string values

The following features are supported:

- `Class Name`
- `Expression Context`
- `View Expression`
- `Edit Expression`
- `Validate Expression`

See Also:
  `GMFGenPackage.getExpressionLabelParser()`
** Generated **
Model:

Method Summary
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`ValueExpression` `getEditExpression()` Returns the value of the 'Edit Expression' reference
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getExpressionContext()` Returns the value of the 'Expression Context' reference
`java.lang.String` `getQualifiedClassName()`
`GenConstraint` `getValidateExpression()` Returns the value of the 'Validate Expression' reference
`ValueExpression` `getViewExpression()` Returns the value of the 'View Expression' reference
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setEditExpression(ValueExpression value)` Sets the value of the '`Edit Expression`' reference
`void` `setExpressionContext(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)` Sets the value of the '`Expression Context`' reference
`void` `setValidateExpression(GenConstraint value)` Sets the value of the '`Validate Expression`' reference
`void` `setViewExpression(ValueExpression value)` Sets the value of the '`View Expression`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenParserImplementation
`getHolder, getUses`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute. Provides means to alter name of parser implementation class

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getExpressionLabelParser_ClassName()`
  ** Generated **
  Model:

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### getExpressionContext

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getExpressionContext()

  Returns the value of the 'Expression Context' reference.

  If the meaning of the 'Expression Context' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression Context' reference.
  See Also:
    `setExpressionContext(GenClass)`, `GMFGenPackage.getExpressionLabelParser_ExpressionContext()`
  ** Generated **
  Model:
    required="true"

### setExpressionContext

    void setExpressionContext(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)

  Sets the value of the '`Expression Context`' reference.

  Parameters:
    `value` - the new value of the 'Expression Context' reference.
  See Also:
    `getExpressionContext()`
  ** Generated **

### getViewExpression

    ValueExpression getViewExpression()

  Returns the value of the 'View Expression' reference. Expression to calculate user-readable label value; facet's owner type is evaluation context.

  Returns:
    the value of the 'View Expression' reference.
  See Also:
    `setViewExpression(ValueExpression)`, `GMFGenPackage.getExpressionLabelParser_ViewExpression()`
  ** Generated **
  Model:
    required="true"

### setViewExpression

    void setViewExpression(ValueExpression value)

  Sets the value of the '`View Expression`' reference.

  Parameters:
    `value` - the new value of the 'View Expression' reference.
  See Also:
    `getViewExpression()`
  ** Generated **

### getEditExpression

    ValueExpression getEditExpression()

  Returns the value of the 'Edit Expression' reference. Optional expression to represent value for editing

  Returns:
    the value of the 'Edit Expression' reference.
  See Also:
    `setEditExpression(ValueExpression)`, `GMFGenPackage.getExpressionLabelParser_EditExpression()`
  ** Generated **
  Model:

### setEditExpression

    void setEditExpression(ValueExpression value)

  Sets the value of the '`Edit Expression`' reference.

  Parameters:
    `value` - the new value of the 'Edit Expression' reference.
  See Also:
    `getEditExpression()`
  ** Generated **

### getValidateExpression

    GenConstraint getValidateExpression()

  Returns the value of the 'Validate Expression' reference. Optional expression to answer whether user input is ok for further parsing. Note, context here is string, not facet's owner type

  Returns:
    the value of the 'Validate Expression' reference.
  See Also:
    `setValidateExpression(GenConstraint)`, `GMFGenPackage.getExpressionLabelParser_ValidateExpression()`
  ** Generated **
  Model:

### setValidateExpression

    void setValidateExpression(GenConstraint value)

  Sets the value of the '`Validate Expression`' reference.

  Parameters:
    `value` - the new value of the 'Validate Expression' reference.
  See Also:
    `getValidateExpression()`
  ** Generated **

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.